;; -*-emacs-lisp-*-
;;
;; Emacs startup file for the Debian GNU/Linux ddskk package
;;
;; Originally contributed by Nils Naumann <naumann@unileoben.ac.at>
;; Modified by Dirk Eddelbuettel <edd@debian.org>
;; Adapted for dh-make by Jim Van Zandt <jrv@vanzandt.mv.com>

;; The ddskk package follows the Debian/GNU Linux 'emacsen' policy and
;; byte-compiles its elisp files for each 'emacs flavor' (emacs19,
;; xemacs19, emacs20, xemacs20...).  The compiled code is then
;; installed in a subdirectory of the respective site-lisp directory.
;; We have to add this to the load-path:
(or (eq flavor 'emacs19)
    (let ((skkpath
           (list (concat "/usr/share/" (symbol-name flavor) "/site-lisp/ddskk")
                 (concat "/usr/share/" (symbol-name flavor) "/site-lisp/ddskk/nicola"))))
      (setq load-path (append load-path skkpath))

      (require 'skk-setup)

      (and (featurep 'xemacs)
           (load (concat (car skkpath) "/skk-autoloads.elc"))) ; Why needed?

      (add-hook 'minibuffer-setup-hook
                (function (lambda ()
                            (and (boundp 'skk-henkan-okuri-strictly)
                                 skk-henkan-okuri-strictly
                                 (not (eq last-command 'skk-purge-jisyo))
                                 (put 'skk-henkan-okuri-strictly 'temporary-nil t)
                                 (setq skk-henkan-okuri-strictly nil)))))
      (add-hook 'minibuffer-exit-hook
                (function (lambda ()
                            (and (get 'skk-henkan-okuri-strictly 'temporary-nil)
                                 (setq skk-henkan-okuri-strictly t)
                                 (put 'skk-henkan-okuri-strictly 'temporary-nil nil)))))

      (setq skk-server-host (or (getenv "SKKSERVER") "localhost"))))
